1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.2 How do I make a test forum site?

Discussion in 'XenForo Questions and Support' started by billybatz9, Jan 15, 2014.

  1. billybatz9

    billybatz9 Active Member

    How do i make a test site for my forum? SO i can do all changes and stuff to the second test forum before applying changes to the real one. How does everyone do theirs?
     
  2. Brogan

    Brogan XenForo Moderator Staff Member

  3. billybatz9

    billybatz9 Active Member

    there''s two exe files. Idk which to download exe.png
     
  4. Brogan

    Brogan XenForo Moderator Staff Member

    Take your pick.

    One uses PHP 5.4, the other PHP 5.5.
    I'm personally using XAMPP 1.7.3 which uses PHP 5.3.1.
     
  5. billybatz9

    billybatz9 Active Member

    okay and will this test site be run on my hosting service?
     
  6. Jeremy

    Jeremy XenForo Moderator Staff Member

    The above link will set it up locally on your machine.
     
  7. billybatz9

    billybatz9 Active Member

    machine meaning laptop?
     
  8. Brogan

    Brogan XenForo Moderator Staff Member

  9. RoldanLT

    RoldanLT Well-Known Member

    arms likes this.
  10. billybatz9

    billybatz9 Active Member

    When i use these, I can upload my xenforo license ? and noone will be able to see my version of xenforo license? Meaning no one can steal it?
     
  11. arms

    arms Active Member

    Thanks @RoldanLT I've been toiling with Wamp for ages. Just trying WiNginx and its lightning fast compared to what i'm used to on my local windows machine.
     
    RoldanLT likes this.
  12. RoldanLT

    RoldanLT Well-Known Member

    Yes, but selecting php 5.4 only has bug for me.
     
  13. arms

    arms Active Member

    Which is? Because I've had an issue debugging with php5.4 only.

    As I have a vmware license with work, i've decided to move to a virtual linux box just for development and testing/debugging.
     
  14. RoldanLT

    RoldanLT Well-Known Member

    Just install both 5.3 and 5.4 from installation menu.
     

Share This Page